#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.10
visibility:           public
id:                   foldl-1.4.10-9gcFXI1TwxCF4he7NWlIDI
key:                  foldl-1.4.10-9gcFXI1TwxCF4he7NWlIDI
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  94185a6e89fa1b2309da2333bff79f59
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.10
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.10
hs-libraries:         HSfoldl-1.4.10-9gcFXI1TwxCF4he7NWlIDI
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-7861wPuA7ySDtfn7Jbnt6p containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-64AyhGQ2yLm2m4iaj2rNmL
    mwc-random-0.15.0.1-ILrCr0j7Qnw4o5IixUlZD2
    primitive-0.7.1.0-IhkuqdOUbq83q0XgO5Yfyc
    profunctors-5.6-2K2bvPgAszwJmgH2F849H0
    semigroupoids-5.3.4-9hYZcxs4tyn8ZygbrrTstD text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-1fMD3PkUAk53GqTppiBvYp
    vector-0.12.1.2-Ka6AW0NoEV8DQJJqW56X49

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

